#!/usr/bin/python
# -*- coding: utf-8 -*-

__author__ = "B. Roessl"
__license__ = "GPL"
__version__ = "0.0.1"
__maintainer__ = "B. Roessli"
__email__ = "roessli@psi.ch"
__status__ = "Testing"


class AtomDefaultColor():
  """
  Default color scheme for atoms 
  Taken from Jmol
  """
  def __init__(self):
    
    self.atomcolordefault = dict()

    self.atomcolordefault['H']=[255,255,255]
    self.atomcolordefault['He']=[217,255,255]
    self.atomcolordefault['Li']=[204,128,255]
    self.atomcolordefault['Be']=[194,255,0]
    self.atomcolordefault['B']=[255,181,181]
    self.atomcolordefault['C']=[144,144,144]
    self.atomcolordefault['N']=[48,80,248]
    self.atomcolordefault['O']=[255,13,13]
    self.atomcolordefault['F']=[144,224,80]
    self.atomcolordefault['Ne']=[179,227,245]
    self.atomcolordefault['Na']=[171,92,242]
    self.atomcolordefault['Mg']=[138,255,0]
    self.atomcolordefault['Al']=[191,166,166]
    self.atomcolordefault['Si']=[240,200,160]
    self.atomcolordefault['P']=[255,128,0]
    self.atomcolordefault['S']=[255,255,48]
    self.atomcolordefault['Cl']=[31,240,31]
    self.atomcolordefault['Ar']=[128,209,227]
    self.atomcolordefault['K']=[143,64,212]
    self.atomcolordefault['Ca']=[61,255,0]
    self.atomcolordefault['Sc']=[230,230,230]
    self.atomcolordefault['Ti']=[191,194,199]
    self.atomcolordefault['V']=[166,166,171]
    self.atomcolordefault['Cr']=[138,153,199]
    self.atomcolordefault['Mn']=[156,122,199]
    self.atomcolordefault['Fe']=[224,102,51]
    self.atomcolordefault['Co']=[240,144,160]
    self.atomcolordefault['Ni']=[80,208,80]
    self.atomcolordefault['Cu']=[200,128,51]
    self.atomcolordefault['Zn']=[125,128,176]
    self.atomcolordefault['Ga']=[194,143,143]
    self.atomcolordefault['Ge']=[102,143,143]
    self.atomcolordefault['As']=[189,128,227]
    self.atomcolordefault['Se']=[255,161,0]
    self.atomcolordefault['Br']=[166,41,41]
    self.atomcolordefault['Kr']=[92,184,209]
    self.atomcolordefault['Rb']=[112,46,176]
    self.atomcolordefault['Sr']=[0,255,0]
    self.atomcolordefault['Y']=[148,255,255]
    self.atomcolordefault['Zr']=[148,224,224]
    self.atomcolordefault['Nb']=[115,194,201]
    self.atomcolordefault['Mo']=[84,181,181]
    self.atomcolordefault['Tc']=[59,158,158]
    self.atomcolordefault['Ru']=[36,143,143]
    self.atomcolordefault['Rh']=[10,125,140]
    self.atomcolordefault['Pd']=[0,105,133]
    self.atomcolordefault['Ag']=[192,192,192]
    self.atomcolordefault['Cd']=[255,217,143]
    self.atomcolordefault['In']=[166,117,115]
    self.atomcolordefault['Sn']=[102,128,128]
    self.atomcolordefault['Sb']=[158,99,181]
    self.atomcolordefault['Te']=[212,122,0]
    self.atomcolordefault['I']=[148,0,148]
    self.atomcolordefault['Xe']=[66,158,176]
    self.atomcolordefault['Cs']=[87,23,143]
    self.atomcolordefault['Ba']=[0,201,0]
    self.atomcolordefault['La']=[112,212,255]
    self.atomcolordefault['Ce']=[255,255,199]
    self.atomcolordefault['Pr']=[217,255,199]
    self.atomcolordefault['Nd']=[199,255,199]
    self.atomcolordefault['Pm']=[163,255,199]
    self.atomcolordefault['Sm']=[143,255,199]
    self.atomcolordefault['Eu']=[97,255,199]
    self.atomcolordefault['Gd']=[69,255,199]
    self.atomcolordefault['Tb']=[48,255,199]
    self.atomcolordefault['Dy']=[31,255,199]
    self.atomcolordefault['Ho']=[0,255,156]
    self.atomcolordefault['Er']=[0,230,117]
    self.atomcolordefault['Tm']=[0,212,82]
    self.atomcolordefault['Yb']=[0,191,56]
    self.atomcolordefault['Lu']=[0,171,36]
    self.atomcolordefault['Hf']=[77,194,255]
    self.atomcolordefault['Ta']=[77,166,255]
    self.atomcolordefault['W']=[33,148,214]
    self.atomcolordefault['Re']=[38,125,171]
    self.atomcolordefault['Os']=[38,102,150]
    self.atomcolordefault['Ir']=[23,84,135]
    self.atomcolordefault['Pt']=[208,208,224]
    self.atomcolordefault['Au']=[255,209,35]
    self.atomcolordefault['Hg']=[184,184,208]
    self.atomcolordefault['Tl']=[166,84,77]
    self.atomcolordefault['Pb']=[87,89,97]
    self.atomcolordefault['Bi']=[158,79,181]
    self.atomcolordefault['Po']=[171,92,0]
    self.atomcolordefault['At']=[117,79,69]
    self.atomcolordefault['Rn']=[66,130,150]
    self.atomcolordefault['Fr']=[66,0,102]
    self.atomcolordefault['Ra']=[0,125,0]
    self.atomcolordefault['Ac']=[112,171,250]
    self.atomcolordefault['Th']=[0,186,255]
    self.atomcolordefault['Pa']=[0,161,255]
    self.atomcolordefault['U']=[0,143,255]
    self.atomcolordefault['Np']=[0,128,255]
    self.atomcolordefault['Pu']=[0,107,255]
    self.atomcolordefault['Am']=[84,92,242]
    self.atomcolordefault['Cm']=[120,92,227]
    self.atomcolordefault['Bk']=[138,79,227]
    self.atomcolordefault['Cf']=[161,54,212]
    self.atomcolordefault['Es']=[179,31,212]
    self.atomcolordefault['Fm']=[179,31,186]
    self.atomcolordefault['Md']=[179,13,166]
    self.atomcolordefault['No']=[189,13,135]
    self.atomcolordefault['Lr']=[199,0,102]
    self.atomcolordefault['Rf']=[204,0,89]
    self.atomcolordefault['Db']=[209,0,79]
    self.atomcolordefault['Sg']=[217,0,69]
    self.atomcolordefault['Bh']=[224,0,56]
    self.atomcolordefault['Hs']=[230,0,46]
    self.atomcolordefault['Mt']=[235,0,38]
