__author__ = "B. Roessl"
__license__ = "GPL"
__version__ = "0.0.1"
__maintainer__ = "B. Roessli"
__email__ = "roessli@psi.ch"
__status__ = "Testing"



class AtomDefaultRadius():
  """
  Default atomic radii in \AA
  http://environmentalchemistry.com/yogi/periodic/ionicradius.html
  """
  def __init__(self):
          
    self.atomradiusdefault = dict()
    
    self.atomradiusdefault['H']=0.07  #0.012
    self.atomradiusdefault['N']=0.13
    self.atomradiusdefault['B']=0.23
    self.atomradiusdefault['Be']=0.35
    self.atomradiusdefault['S']=0.37
    self.atomradiusdefault['P']=0.38
    self.atomradiusdefault['Si']=0.4
    self.atomradiusdefault['Mn']=0.46
    self.atomradiusdefault['Se']=0.5
    self.atomradiusdefault['U']=0.52
    self.atomradiusdefault['Cr']=0.52
    self.atomradiusdefault['Ge']=0.53
    self.atomradiusdefault['Al']=0.535
    self.atomradiusdefault['Tc']=0.56
    self.atomradiusdefault['Re']=0.56
    self.atomradiusdefault['As']=0.58
    self.atomradiusdefault['V']=0.59
    self.atomradiusdefault['Ti']=0.605
    self.atomradiusdefault['Ga']=0.62
    self.atomradiusdefault['W']=0.62
    self.atomradiusdefault['Pt']=0.625
    self.atomradiusdefault['Ir']=0.625
    self.atomradiusdefault['Os']=0.63
    self.atomradiusdefault['Ta']=0.64
    self.atomradiusdefault['Fe']=0.645
    self.atomradiusdefault['Mo']=0.65
    self.atomradiusdefault['Ru']=0.68
    self.atomradiusdefault['Rh']=0.68
    self.atomradiusdefault['Sn']=0.69
    self.atomradiusdefault['Ni']=0.69
    self.atomradiusdefault['Nb']=0.69
    self.atomradiusdefault['Hf']=0.71
    self.atomradiusdefault['Zr']=0.72
    self.atomradiusdefault['Mg']=0.72
    self.atomradiusdefault['Cu']=0.73
    self.atomradiusdefault['Zn']=0.74
    self.atomradiusdefault['Co']=0.745
    self.atomradiusdefault['Sc']=0.745
    self.atomradiusdefault['Np']=0.75
    self.atomradiusdefault['Sb']=0.76
    self.atomradiusdefault['Li']=0.76
    self.atomradiusdefault['Pa']=0.78
    self.atomradiusdefault['In']=0.8
    self.atomradiusdefault['Lu']=0.848
    self.atomradiusdefault['Au']=0.85
    self.atomradiusdefault['Yb']=0.858
    self.atomradiusdefault['Pd']=0.86
    self.atomradiusdefault['Tm']=0.869
    self.atomradiusdefault['Er']=0.881
    self.atomradiusdefault['Pu']=0.887
    self.atomradiusdefault['Y']=0.9
    self.atomradiusdefault['Ho']=0.901
    self.atomradiusdefault['Dy']=0.912
    self.atomradiusdefault['Tb']=0.923
    self.atomradiusdefault['Es']=0.925
    self.atomradiusdefault['Cf']=0.934
    self.atomradiusdefault['Gd']=0.938
    self.atomradiusdefault['Eu']=0.947
    self.atomradiusdefault['Bk']=0.949
    self.atomradiusdefault['Sm']=0.964
    self.atomradiusdefault['Te']=0.97
    self.atomradiusdefault['Cd']=0.97
    self.atomradiusdefault['Cm']=0.97
    self.atomradiusdefault['Th']=0.972
    self.atomradiusdefault['Pm']=0.979
    self.atomradiusdefault['Am']=0.982
    self.atomradiusdefault['Ca']=0.99
    self.atomradiusdefault['Nd']=0.995
    self.atomradiusdefault['Pr']=1.013
    self.atomradiusdefault['Na']=1.02
    self.atomradiusdefault['Hg']=1.02
    self.atomradiusdefault['Bi']=1.03
    self.atomradiusdefault['Ce']=1.034
    self.atomradiusdefault['La']=1.061
    self.atomradiusdefault['No']=1.1
    self.atomradiusdefault['Ac']=1.119
    self.atomradiusdefault['Sr']=1.12
    self.atomradiusdefault['Pb']=1.19
    self.atomradiusdefault['Ag']=1.26
    self.atomradiusdefault['F']=1.33
    self.atomradiusdefault['Ba']=1.35
    self.atomradiusdefault['K']=1.38
    self.atomradiusdefault['O']=1.4
    self.atomradiusdefault['Ra']=1.43
    self.atomradiusdefault['Tl']=1.5
    self.atomradiusdefault['Rb']=1.52
    self.atomradiusdefault['Cs']=1.67
    self.atomradiusdefault['Fr']=1.8
    self.atomradiusdefault['Cl']=1.81
    self.atomradiusdefault['Br']=1.96
    self.atomradiusdefault['I']=2.2
    self.atomradiusdefault['Po']=2.3
