__author__ = "B. Roessl"
__license__ = "GPL"
__version__ = "0.0.1"
__maintainer__ = "B. Roessli"
__email__ = "roessli@psi.ch"
__status__ = "Testing"




class HKLMultiplicity():
  """
  peak multiplicities for powder diffraction
  """
  def __init__(self):
          
    self.m_hkl = dict()
    self.m_hkl['cubic']=dict()
    self.m_hkl['cubic']['hkl']=48.
    self.m_hkl['cubic']['hhl']=24.
    self.m_hkl['cubic']['hh0']=12.
    self.m_hkl['cubic']['0kk']=12.
    self.m_hkl['cubic']['hhh']=8.
    self.m_hkl['cubic']['hk0']=24.
    self.m_hkl['cubic']['h0l']=24.
    self.m_hkl['cubic']['0kl']=24.
    self.m_hkl['cubic']['h00']=6.
    self.m_hkl['cubic']['0k0']=6.
    self.m_hkl['cubic']['00l']=6.

    self.m_hkl['tetragonal']=dict()
    self.m_hkl['tetragonal']['hkl']=16.
    self.m_hkl['tetragonal']['hhl']=8.
    self.m_hkl['tetragonal']['hh0']=4.
    self.m_hkl['tetragonal']['0kk']=8.
    self.m_hkl['tetragonal']['hhh']=8.
    self.m_hkl['tetragonal']['hk0']=8.
    self.m_hkl['tetragonal']['h0l']=8.
    self.m_hkl['tetragonal']['0kl']=8.
    self.m_hkl['tetragonal']['h00']=4.
    self.m_hkl['tetragonal']['0k0']=4.
    self.m_hkl['tetragonal']['00l']=2.

    self.m_hkl['hexagonal']=dict()
    self.m_hkl['hexagonal']['hkl']=24.
    self.m_hkl['hexagonal']['hhl']=12.
    self.m_hkl['hexagonal']['hh0']=6.
    self.m_hkl['hexagonal']['0kk']=12.
    self.m_hkl['hexagonal']['hhh']=12.
    self.m_hkl['hexagonal']['hk0']=12.
    self.m_hkl['hexagonal']['h0l']=12.
    self.m_hkl['hexagonal']['0kl']=12.
    self.m_hkl['hexagonal']['h00']=6.
    self.m_hkl['hexagonal']['0k0']=6.
    self.m_hkl['hexagonal']['00l']=2.


    self.m_hkl['orthorhombic']=dict()
    self.m_hkl['orthorhombic']['hkl']=8.
    self.m_hkl['orthorhombic']['hhl']=8.
    self.m_hkl['orthorhombic']['hh0']=8.
    self.m_hkl['orthorhombic']['0kk']=8.
    self.m_hkl['orthorhombic']['hhh']=8.
    self.m_hkl['orthorhombic']['hk0']=4.
    self.m_hkl['orthorhombic']['h0l']=4.
    self.m_hkl['orthorhombic']['0kl']=4.
    self.m_hkl['orthorhombic']['h00']=2.
    self.m_hkl['orthorhombic']['0k0']=2.
    self.m_hkl['orthorhombic']['00l']=2.

    self.m_hkl['monoclinic']=dict()
    self.m_hkl['monoclinic']['hkl']=4.
    self.m_hkl['monoclinic']['hhl']=4.
    self.m_hkl['monoclinic']['hh0']=4.
    self.m_hkl['monoclinic']['0kk']=4.
    self.m_hkl['monoclinic']['hhh']=4.
    self.m_hkl['monoclinic']['hk0']=4.
    self.m_hkl['monoclinic']['h0l']=2.
    self.m_hkl['monoclinic']['0kl']=4.
    self.m_hkl['monoclinic']['h00']=2.
    self.m_hkl['monoclinic']['0k0']=2.
    self.m_hkl['monoclinic']['00l']=2.

    self.m_hkl['triclnic']=dict()
    self.m_hkl['triclnic']['hkl']=2.
    self.m_hkl['triclnic']['hhl']=2.
    self.m_hkl['triclnic']['hh0']=2.
    self.m_hkl['triclnic']['0kk']=2.
    self.m_hkl['triclnic']['hhh']=2.
    self.m_hkl['triclnic']['hk0']=2.
    self.m_hkl['triclnic']['h0l']=2.
    self.m_hkl['triclnic']['0kl']=2.
    self.m_hkl['triclnic']['h00']=2.
    self.m_hkl['triclnic']['0k0']=2.
    self.m_hkl['triclnic']['00l']=2.

