
from setuptools import setup, find_packages
import PyModes

import os,sys

from cx_Freeze import setup, Executable
import matplotlib
packages=['matplotlib.backends.backend_wxagg','matplotlib.backends.backend_wx','matplotlib.figure','matplotlib.font_manager',
          'numpy','numpy.lib.format','wx','wx.lib.pubsub']

#                     "include_files":[("/usr/share/matplotlib/", "mpl-data"),("/usr/share/matplotlib/","matplotlib.conf")],

build_exe_options = {"includes":packages,
                     "include_files":[("/usr/share/matplotlib/", "mpl-data")],
                     "excludes":[]}                        

setup(name='PyModes',
      version='0.1',
      description='Symmetry Analysis and Simulation',
      author='B. Roessli',
      author_email='bertrand.roessli@psi.ch',
      install_requires=[
          'matplotlib',
          'numpy',
          'vtkpython',
          'wxpython',
      ],
      license='MIT',
      packages=find_packages(),
      package_data = {
      # If any package contains *.txt or *.rst files, include them:
      '': ['*.dat','*.pkl'],
      },                    
      include_package_data=True,
      zip_safe=False,
      options = {'build_exe': build_exe_options},
      executables=[Executable("vpydraw_main.py")],
      )
      

