#!/usr/bin/python
# -*- coding: utf-8 -*-

__author__ = "B. Roessl"
__license__ = "GPL"
__version__ = "0.0.1"
__maintainer__ = "B. Roessli"
__email__ = "roessli@psi.ch"
__status__ = "Testing"



import wx

class vpydraw_lattice_entry(wx.Frame):
    
    def __init__(self, parent, title):
        super(vpydraw_lattice_entry, self).__init__(parent=parent, title=title) 
        self.InitUI()
        self.SetTitle('Lattice Parameters')
        self.Centre()
        self.Show(True)
        self.latpar=[0,0,0,0,0,0]
        
    def InitUI(self):    
        panel = wx.Panel(self)
        hbox = wx.BoxSizer(wx.HORIZONTAL)
        sizer_lowest = wx.FlexGridSizer(6, 2, 10, 20)
        
        a_lat = wx.StaticText(panel, label="a =")
        b_lat = wx.StaticText(panel,label="b =")
        c_lat = wx.StaticText(panel,label="c =")
        aa_lat = wx.StaticText(panel,label=u'\N{GREEK SMALL LETTER ALPHA}'+" =")
        bb_lat = wx.StaticText(panel,label=u'\N{GREEK SMALL LETTER BETA}'+" =")
        cc_lat = wx.StaticText(panel,label=u'\N{GREEK SMALL LETTER GAMMA}'+" =")
        tc1 = wx.TextCtrl(panel,id=1)
        a_lat.SetToolTip(wx.ToolTip("enter lattice parameter a"))
 
        self.Bind(wx.EVT_TEXT, self.GetText, tc1)
        tc2 = wx.TextCtrl(panel,id=2)
        self.Bind(wx.EVT_TEXT, self.GetText, tc2)
        tc3 = wx.TextCtrl(panel,id=3)
        self.Bind(wx.EVT_TEXT, self.GetText, tc3)
        tc4 = wx.TextCtrl(panel,id=4)
        self.Bind(wx.EVT_TEXT, self.GetText, tc4)
        tc5 = wx.TextCtrl(panel,id=5)
        self.Bind(wx.EVT_TEXT, self.GetText, tc5)
        tc6 = wx.TextCtrl(panel,id=6)
        self.Bind(wx.EVT_TEXT, self.GetText, tc6)
        sizer_lowest.AddMany([(a_lat,1),  (tc1, 1, wx.EXPAND), 
                              (b_lat,1),  (tc2, 1, wx.EXPAND), 
                              (c_lat,1),  (tc3, 1, wx.EXPAND),
                              (aa_lat,1), (tc4, 1, wx.EXPAND),
                              (bb_lat,1), (tc5, 1, wx.EXPAND),
                              (cc_lat,1), (tc6, 1, wx.EXPAND)])
        sizer_lowest.AddGrowableCol(1, 1) 
        hbox.Add(sizer_lowest, proportion=1)
        panel.SetSizer(hbox)
                
    def GetText(self,e):
        try:
           self.latpar[e.GetId()-1]=float(e.GetString())
        except ValueError:
           dlg = wx.MessageDialog(self, "Wrong Input", "Error", wx.OK | wx.ICON_ERROR)
           dlg.ShowModal()
           dlg.Destroy()
        e.Skip()
        return

#def main():    
#    ex = wx.App()
#    vpydraw_lattice_entry(parent=None,title='')
#    ex.MainLoop()    


#if __name__ == '__main__':
#    main()


